Update ok! sa-update error ?

Discussion in 'Installation/Configuration' started by lyndros, Apr 13, 2006.

  1. lyndros

    lyndros New Member

    Hi guys,

    finally i updated to the lastest version,but trying to update spamassasin :( filters

    /home/admispconfig/ispconfig/tools/spamassassin/usr/bin# ./sa-update
    Can't locate LWP/UserAgent.pm in @INC (@INC contains: /home/admispconfig/ispconfig/tools/spamassassin/usr/share/perl/5.8.7 /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl) at ./sa-update line 76.
    BEGIN failed--compilation aborted at ./sa-update line 76.

    i've reading around and its a perl lib needed for spamassasin to update the spam filters... what is wrong? than means that spamassasin will not update ?

    thk u all
  2. lyndros

    lyndros New Member

    I solve that installing another two perl libraries (under ubuntu)

    $apt-get install libwww-perl libarchive-tar-perl

    both required files (in my case, Tar.pm & UserAgent.pm) are content in both packages.

    by this way u can run without problems sa-update

    hope that helps to anyone :p
  3. dafy

    dafy New Member

    WONDERFULL!!!! That helped me out!! Thanks!!!

Share This Page